FreeHDL-V2CC(1)

NAME
FreeHDL-V2CC - A VHDL to C++ converter.

SYNOPSIS
freehdl-v2cc [OPTION] ... [FILE] ...

DESCRIPTION
FreeHDL is a parser/compiler/simulator suite for the hardware description language VHDL. VHDL'93 as well as VHDL'87 files are supported. FreeHDL-V2CC translates the original VHDL source FILEs into C++.

OPTIONS

-o FILE
    Write C++ generated code to FILE.

-n  Dry run.

-R  Emit register code.

-v  Enable verbosity.

-g  Emit debugging code.

-D  Emit CDFG code.

-l LIBNAME
    Use LIBNAME as the WORK library, default is the "." library directory.

--relaxed-component-visibility
    Allows invisible default bindings from WORK.

--depend FILE
    Write dependency information to FILE.

-m FILE
    Emit the main() file C++ code to FILE.

-L VHDLLIB
    Path to VHDL library root directory. Within this directory the compiler search for a file named v2cc.libs. The mapping file v2cc.libs translates library unit names to directories. Note that more than one VHDLLIB may be provided.

ENVIRONMENT VARIABLES

V2CC_LIBRARY_PATH
    The variable V2CC_LIBRARY_PATH consists of ":" separated filenames. In addition to the environment variable, you can use the "-L libdir" command line option with v2cc. The directories specified with "-L" are added in front of the ones specified by V2CC_LIBRARY_PATH. In the final library path, they appear in the same order as on the command line.

SEE ALSO
gvhdl(1), freehdl-config(1), v2cc.libs(5)

AVAILABILITY
The latest version of FreeHDL can always be obtained from www.freehdl.seul.org

REPORTING BUGS
Known bugs are documented within the BUGS file. If your report addresses a parser related topic then contact Marius Vollmer <mvo@zagadka.ping.de>. If it is related to the code generator or compiler then send an email to Edwin Naroska <edwin@ds.e-technik.uni-dortmund.de>. If your are not sure send it to Edwin. He will take care of forwarding your report to the appropriate recipient.

COPYRIGHT
Edwin Naroska © 1999, 2000, 2001, 2002, 2003, 2004, 2005 <edwin@ds.e-technik.uni-dortmund.de>

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

AUTHORS
Written by Marius Vollmer <mvo@zagadka.ping.de> and Edwin Naroska <edwin@ds.e-technik.uni-dortmund.de>.